/*****************************************************************************
 * File: menus.c
 * Holds the functions to put up the user interface screens for hs.c
 * Copyright (C) 1992 Comtrol Corporation
 */

int MainMenu(void)
{
   good_resp = FALSE;          /* no response yet */
   while(!(good_resp))
   {
      system("cls");           /* clear the screen and place menu */

/************************** setting up screen here ***************************/
printf("ͻ");
printf("        HS.EXE VERSION 1.00   COMTROL HOSTESS S MAIN DIAGNOSTIC MENU          ");
printf("ͼ");
printf("                                                                                ");
printf(" The current settings are: Base I/O address: %X, IRQ: %d, Baud: %d\n",
                           Base,IRQ,act_baud[BaudIndex]);
printf("                                                                                ");
printf("                           [A] Auto Test                                        ");
printf("                           [B] Set Base I/O                                     ");
printf("                           [C] Set IRQ                                          ");
printf("                           [D] Set Baud                                         ");
printf("                           [E] Rx port a POLLED                                 ");
printf("                           [F] Tx port a POLLED                                 ");
printf("                           [G] Tx port a DMA1                                   ");
printf("                           [H] Tx port a DMA3                                   ");
printf("                           [I] Rx port b POLLED                                 ");
printf("                           [J] Tx port b POLLED                                 ");
printf("                           [K] Tx port b DMA3                                   ");
printf("                           [Q] Quit                                             ");
printf("                                                                                ");
printf("           Select a function by typing the appropriate letter: ");
/************************** done setting up screen ***************************/

      good_resp = TRUE;        /* assume the response will be good */
      Choice = getch();        /* wait for the user to enter a letter */
      switch(Choice)
         {
         case 'a':
         case 'A':
            return(AUTO);
         case 'b':
         case 'B':
            return(SETBASE);
         case 'c':
         case 'C':
            return(SETIRQ);
         case 'd':
         case 'D':
             return(SETBAUD);
         case 'e':
         case 'E':
            return(R1_POLLED);
         case 'f':
         case 'F':
            return(X1_POLLED);
         case 'g':
         case 'G':
            return(X1_DMA1);
         case 'h':
         case 'H':
            return(X1_DMA3);
         case 'i':
         case 'I':
            return(R2_POLLED);
         case 'j':
         case 'J':
            return(X2_POLLED);
         case 'k':
         case 'K':
            return(X2_DMA3);
         case 'q':
         case 'Q':
            return(QUIT);
         default:
            good_resp = FALSE;
            printf("\n\n\nInvalid response, press <ENTER> to continue.");
            getch();
      } /*end switch*/
   }
   return(0xff);
}

int BaudMenu(void)
{
   good_resp = FALSE;          /* no response yet */
   while(!(good_resp))
   {
      system("cls");           /* clear the screen and place menu */

/************************** setting up screen here ***************************/
printf("ͻ");
printf("                     CONTROLLER BAUD RATE SELECTION                           ");
printf("ͼ");
printf("                                                                                ");
printf("                            [A] 19200   Baud                                    ");
printf("                            [B] 9600    Baud                                    ");
printf("                            [C] 4800    Baud                                    ");
printf("                            [D] 2400    Baud                                    ");
printf("                            [E] 1200    Baud                                    ");
printf("                            [F] 600     Baud                                    ");
printf("                            [G] 300     Baud                                    ");
printf("                            [H] 150     Baud                                    ");
printf("                                                                                ");
printf("                   Select the baud rate for the SCC: ");
/************************** done setting up screen ***************************/

      good_resp = TRUE;       /* assume the response will be good */
      Choice = getch();       /* wait for the user to enter a letter */
      switch(Choice)
         {
         case 'a':
         case 'A':
            return(0);        /* return index into act_baud[] and baud[] */
         case 'b':
         case 'B':
            return(1);
         case 'c':
         case 'C':
            return(2);
         case 'd':
         case 'D':
             return(3);
         case 'e':
         case 'E':
            return(4);
         case 'f':
         case 'F':
            return(5);
         case 'g':
         case 'G':
            return(6);
         case 'h':
         case 'H':
            return(7);
         default:
            good_resp = FALSE;
            printf("\n\n\nInvalid response, press <ENTER> to continue.");
            getch();
      } /*end switch*/
   }
   return(0xff);
}


int BaseMenu(void)
{
   good_resp = FALSE;          /* no response yet */
   while(!(good_resp))
   {
      system("cls");           /* clear the screen and place menu */

/************************** setting up screen here ***************************/
printf("ͻ");
printf("                    CONTROLLER BASE I/O ADDRESS SELECTION                     ");
printf("ͼ");
printf("                                                                                ");
printf("                                 [A] Base 200                                   ");
printf("                                 [B] Base 280                                   ");
printf("                                 [C] Base 2C0                                   ");
printf("                                 [D] Base 300                                   ");
printf("                                                                                ");
printf("             Select the base I/O address (in HEX) you set for your              ");
printf("                 controller by typing the appropriate letter: ");
/************************** done setting up screen ***************************/

      good_resp = TRUE;        /* assume the response will be good */
      Choice = getch();       /* wait for the user to enter a letter */
      switch(Choice)
         {
         case 'a':
         case 'A':
            return(0x200);
         case 'b':
         case 'B':
            return(0x280);
         case 'c':
         case 'C':
            return(0x2C0);
         case 'd':
         case 'D':
             return(0x300);
         default:
            good_resp = FALSE;
            printf("\n\n\nInvalid response, press <ENTER> to continue.");
            getch();
      } /*end switch*/
   }
   return(0xff);
}


int DmaMenu(void)
{
   good_resp = FALSE;     /* no response yet */
   while(!(good_resp))
   {
      system("cls");     /* clear the screen and place menu */

/************************** setting up screen here ***************************/
printf("ͻ");
printf("                             DMA TYPE SELECTION                               ");
printf("ͼ");
printf("                                                                                ");
printf("                                                                                ");
printf("                            [A] DMA using W/REQ                                 ");
printf("                            [B] DMA using DTR/REQ                               ");
printf("                                                                                ");
printf("          Select the SCC DMA mode by typing the appropriate letter: ");
/************************** done setting up screen ***************************/

      good_resp = TRUE;        /* assume the response will be good */
      Choice = getch();       /* wait for the user to enter a letter */
      switch(Choice)
         {
         case 'a':
         case 'A':
            return(W_REQ);
         case 'b':
         case 'B':
            return(DTR_REQ);
         default:
            good_resp = FALSE;
            printf("\n\n\nInvalid response, press <ENTER> to continue.");
            getch();
      } /*end switch*/
   }
   return(0xff);
}



int IRQMenu(void)
{

   good_resp = FALSE;          /* no response yet */
   while(!(good_resp))
   {
      system("cls");           /* clear the screen and place menu */

/************************** setting up screen here ***************************/
printf("ͻ");
printf("                        CONTROLLER IRQ SELECTION                              ");
printf("ͼ");
printf("                                                                                ");
printf("                                                                                ");
printf("                                [A] IRQ 2                                       ");
printf("                                [B] IRQ 3                                       ");
printf("                                [C] IRQ 5                                       ");
printf("                                [D] IRQ 10                                      ");
printf("                                [E] IRQ 11                                      ");
printf("                                                                                ");
printf("                 Select the IRQ you set for your controller                     ");
printf("                     by typing the appropriate letter: ");
/************************** done setting up screen ***************************/

      good_resp = TRUE;        /* assume the response will be good */
      Choice = getch();        /* wait for the user to enter a letter */
      switch(Choice)
         {
         case 'a':
         case 'A':
            return(2);
         case 'b':
         case 'B':
            return(3);
         case 'c':
         case 'C':
            return(5);
         case 'd':
         case 'D':
             return(10);
         case 'e':
         case 'E':
            return(11);
         default:
            good_resp = FALSE;
            printf("\n\n\nInvalid response, press <ENTER> to continue.");
            getch();
      } /*end switch IRQ*/
   }
   return(0xff);
}
