
/******************************************************************************/
/* Copyright (C) 1992 Comtrol Corporation                                     */
/* LOOPBACK PLUG AND CABLE DIAGRAMS FOR HOSTESS S TEST PROGRAMS               */
/*                                                                            */
/*            TP020 test cable                             24115 plug         */
/*            -----------------                           ------------        */
/*    DB25 PLUG 1              DB25 PLUG 2                  DB9 PLUG          */
/*   2             Tx >> Rx           3       3   Tx  >> Rx   2   */
/*   4            RTS >> CTS          5       7   RTS >> CTS  8   */
/*                         > RI           22                   > RI   9   */
/*   20           DTR >> DSR          6       4   DTR >> DSR  6   */
/*                         > DCD          8                    > DCD  1   */
/*   24     TxCLK OUT >> TxCLOCK IN   15                                */
/*                         > RxCLK        17                                */
/*   3             Rx << Tx           2                                 */
/*   5            CTS << RTS          4                                 */
/*   22            RI <                                                     */
/*   6            DSR << DTR          20                                */
/*   8            DCD <                                                     */
/*   15      TxCLK IN << TxCLK OUT    24                                */
/*   17         RxCLK <                                                     */
/*   7            GND <> GND          7                                 */
/******************************************************************************/

/******************************************************************************/
/* HOSTESS S configuration register specification     (I/O base + 4 write)    */
/******************************************************************************/
/*
**       bit  7 6 5 4 3 2 1 0
**            | | | | | | | |
**            | | | | | | 0 0 = DMA CHANNEL A NOT ACTIVE
**            | | | | | | 1 0 = DMA CHANNEL A DTR/REQ DRQ 1
**            | | | | | | 1 1 = DMA CHANNEL A DTR/REQ DRQ 3
**            | | | | | |
**            | | | | 0 0 --- = DMA CHANNEL A NOT ACTIVE
**            | | | | 1 0 --- = DMA CHANNEL A W/REQ DRQ 1
**            | | | | 1 1 --- = DMA CHANNEL A W/REQ DRQ 3
**            | | | |
**            | | | 0 ------- = DMA CHANNEL B NOT ACTIVE
**            | | | 1 ------- = DMA CHANNEL B W/REQ DRQ 3
**            | | |
**            | | 0---------- = PORT A DTR /ACTIVE
**            | | 1---------- = PORT A DTR /INACTIVE
**            | |
**            | 0 ----------- = PORT A TRANSMIT CLOCK DCE SOURCE
**            | 1------------ = PORT A TRANSMIT CLOCK DTE SOURCE
**            |
**            0-------------- = PORT B TRANSMIT CLOCK DCE SOURCE
**            1-------------- = PORT B TRANSMIT CLOCK DTE SOURCE
*/
